Bug 434077 - nco failed massrebuild attempt for GCC 4.3
nco failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nco (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
:
Depends On: 432898
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:02 EST by Jesse Keating
Modified: 2013-01-09 21:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 07:44:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:02:37 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438544
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-22 08:55:24 EST
errors in i386 build.log:

In file included from ncoLexer.hpp:10,
                 from ncoLexer.cpp:2:
/usr/include/antlr/CharScanner.hpp: In member function 'bool
antlr::CharScannerLiteralsLess::operator()(const std::string&, const
std::string&) const':
/usr/include/antlr/CharScanner.hpp:565: error: 'strcasecmp' was not declared in
this scope
In file included from ncoLexer.hpp:10,
                 from Invoke.cc:17:
/usr/include/antlr/CharScanner.hpp: In member function 'bool
antlr::CharScannerLiteralsLess::operator()(const std::string&, const
std::string&) const':
/usr/include/antlr/CharScanner.hpp:565: error: 'strcasecmp' was not declared in
this scope
make[3]: *** [Invoke.o] Error 1
Comment 2 Patrice Dumas 2008-02-23 08:07:05 EST
I have already filled a bug for antlr. 

https://bugzilla.redhat.com/show_bug.cgi?id=432898

I also have prepared an update to latest nco version, but it is blocked 
by this build issue.
Comment 3 Patrice Dumas 2008-03-09 07:44:32 EDT
Rebuilt now.

Note You need to log in before you can comment on or make changes to this bug.